/* Descompunerea in factori primi a unui numar natural.
 * 
 * Teorema Fundamentala a Aritmeticii:
 * 
 * "Oricare numar natural poate fi descompus in produs de factori primi";
 * 
 * n = 2^4 * 3^2 * 5^0 * 7^3 * 13^5 
 *   
 * n = 275634374  = 2^1 * 137817187^1                          
 *                  d = 3, 4, 5, ..., sqrt(n)
 */                
#include <iostream>
using namespace std;


int main()
{
	int n;
	cin >> n;
	cout << n << " = ";
	
	int d = 2;  // divizorul curent prim al lui n
	int exp;    // exponentul la care apare d in descompunerea lui n 
	
	while (n != 1)
	{
		exp = 0;
		while (n % d == 0)
		{
			n /= d;
			exp++;
		}
		
		if (exp) // daca d a fost divizor al lui n
		{
			cout << d << '^' << exp;
			if (n != 1)
				cout << " * ";
		}
		
		d++;
		
		if (d * d > n)
			d = n;
	}
	

	return 0;
}










